* {
    font-family: 'Roboto', sans-serif;
    box-sizing: border-box;
}

:root {
    --black: hsl(0, 0%, 0%);
    --white: hsl(0, 0%, 100%);
    --yellow: hsl(49, 100%, 50%);
}

img {
    max-inline-size: 100%;
    block-size: auto;
}

h1 {
    font-size: 24px;
    font-weight: 500;
}

h2 {
    font-size: 26px;
    font-weight: 700;
}

h3 {
    font-size: 18px;
    font-weight: 500;
}

/* NAVIGATION STYLES */

.navigation-container {
    background-color: var(--black);
    color: var(--white);
    padding-inline: 30px;
    overflow: hidden;
}

.navigation-container>div {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-inline-size: 1100px;
    margin: 0 auto;
    block-size: 75px;
}

.navigation-container .logo-container {
    min-inline-size: 100px;
    max-inline-size: 125px;
}

.navigation-container nav {
    font-size: 16px;
}

.navigation-container nav .desktop {
    display: none;
    list-style: none;
}

.navigation-container nav .mobile {
    display: flex;
}

.navigation-container nav .mobile .hamburger {
    display: inline-block;
    cursor: pointer;
    inline-size: 30px;
    position: relative;
}

.navigation-container nav .mobile .hamburger:hover span {
    inline-size: 32px;
    opacity: 0.9;
}

/* initial positions */
.navigation-container nav .mobile .hamburger span {
    display: block;
    block-size: 3px;
    background-color: var(--white);
    margin: 5px 0;
    border-radius: 1px;
    transition: all 0.4s cubic-bezier(0.55, 0.06, 0.68, 0.19);
    transform-origin: center;
}

/* when active ➝ animate into X */
.navigation-container nav .mobile .hamburger.active span:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
}

.navigation-container nav .mobile .hamburger.active span:nth-child(2) {
    opacity: 0;
}

.navigation-container nav .mobile .hamburger.active span:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
}

/* default hover (not active) */
.navigation-container nav .mobile .hamburger:hover span {
    inline-size: 32px;
    opacity: 0.9;
}

/* active hover */
.navigation-container nav .mobile .hamburger.active:hover span:nth-child(1) {
    transform: translateY(8px) rotate(45deg) scale(1.1);
}

.navigation-container nav .mobile .hamburger.active:hover span:nth-child(2) {
    opacity: 0;
}

.navigation-container nav .mobile .hamburger.active:hover span:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg) scale(1.1);
}

/* DESKTOP NAVIGATION STYLES */

@media screen and (min-width: 1024px) {
    .navigation-container nav .desktop {
        display: flex;
        gap: 20px;
    }

    .navigation-container nav .mobile {
        display: none;
    }
}

.navigation-container nav .desktop li a {
    transition: 0.3s ease-in;
}

.navigation-container nav .desktop li a.current {
    text-decoration: underline;
}

.navigation-container nav .desktop li a:hover {
    text-decoration: underline;
}

/* MAIN CONTENT STYLES */

header,
main {
    margin-inline: 30px;
}

@media screen and (min-width: 1024px) {

    header,
    main {
        max-inline-size: 700px;
        margin: 0 auto;
    }
}

header {
    margin-block: 50px 30px;
}

section {
    margin-block-end: 50px;
}

section h2 {
    padding: 20px;
    background-color: var(--yellow);
    border-radius: 7px;
    display: block;
}

section ul {
    list-style: disc;
    margin-block: 20px;
}

section ul li {
    margin-inline-start: 15px;
    margin-block-end: 15px;
}

section ul li ul li {
    margin-block-end: 0;
}

section ul li .content-container {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

section ul li .content-container div img {
    background-color: var(--black);
    inline-size: 100%;
    border-radius: 7px;
    margin-inline-end: 15px;
}

/* @media screen and (min-width: 768px) {
    section ul li .content-container {
        flex-direction: row;
    }

    section ul li .content-container div:nth-child(1) {
        inline-size: 50%;
    }

    section ul li .content-container div:nth-child(2) {
        inline-size: 50%;
    }
}

@media screen and (min-width: 1024px) {
    section ul li .content-container {
        flex-direction: row;
    }

    section ul li .content-container div:nth-child(1) {
        inline-size: 50%;
    }

    section ul li .content-container div:nth-child(2) {
        inline-size: 50%;
    }
} */